Bug 51501 - /var/lib/dhcp/dhcpd.leases does not exist
/var/lib/dhcp/dhcpd.leases does not exist
Product: Red Hat Public Beta
Classification: Retired
Component: dhcp (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
Depends On:
  Show dependency treegraph
Reported: 2001-08-10 22:23 EDT by adler
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-12-10 13:59:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
dhcpd control script: attempt to fix common problems with /var/lib/dhcp/dhcpd.leases (399 bytes, patch)
2001-12-10 14:07 EST, Jim Meyer
no flags Details | Diff

  None (edit)
Description adler 2001-08-10 22:23:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2) Gecko/20010725

Description of problem:
The file /var/lib/dhcp/dhcpd.leases does not exist and must be created by
hand. The file /var/lib/dhcp/dhcp.leases does exist. Thus this looks like a
typo problem.

How reproducible:

Steps to Reproduce:
1.Install roswell
2.execute the command 'dhcpd'

Additional info:
Comment 1 Glen Foster 2001-08-13 15:07:03 EDT
We (Red Hat) should really try to fix this before next release.
Comment 2 Keith Hudson 2001-08-18 12:51:39 EDT
To fix the rpm You need to replace the instances of dhcp.leases with 
dhcpd.leases in the dhcp.spec file then build a new rpm. The current one 
touches dhcp.leases instead of dhcpd.leases
Comment 3 Jim Meyer 2001-12-10 13:59:45 EST
This is also a problem in RH7.1; a backpatch would be appreciated.
Comment 4 Elliot Lee 2001-12-10 14:03:05 EST
This is fixed in 7.2 - you shouldn't have any problems grabbing the
dhcp-2.0pl5-8 from there and installing it on a 7.1 system.
Comment 5 Jim Meyer 2001-12-10 14:07:09 EST
Created attachment 40308 [details]
dhcpd control script: attempt to fix common problems with /var/lib/dhcp/dhcpd.leases

Note You need to log in before you can comment on or make changes to this bug.